Index: trunk/packages/vizservers/nanovis/Command.cpp
===================================================================
--- trunk/packages/vizservers/nanovis/Command.cpp	(revision 1428)
+++ trunk/packages/vizservers/nanovis/Command.cpp	(revision 1429)
@@ -141,5 +141,5 @@
 static Tcl_ObjCmdProc CameraCmd;
 static Tcl_ObjCmdProc CutplaneCmd;
-static Tcl_ObjCmdProc FlowCmd;
+extern Tcl_AppInitProc FlowCmdInitProc;
 static Tcl_ObjCmdProc GridCmd;
 static Tcl_ObjCmdProc LegendCmd;
@@ -1725,4 +1725,5 @@
 // ========================= VOLUME END ==================================
 
+#ifdef notdef
 // ============================= FLOW ==================================
 
@@ -1957,5 +1958,5 @@
         return TCL_ERROR;
     }
-    NanoVis::lic_on = state;
+    /* NanoVis::lic_on = state; */
     return TCL_OK;
 }
@@ -1973,4 +1974,5 @@
         return TCL_ERROR;
     }
+#ifdef notdef
     switch (axis) {
     case 0 :
@@ -1984,4 +1986,5 @@
         break;
     }
+#endif
     return TCL_OK;
 }
@@ -2053,5 +2056,5 @@
     }
 
-    NanoVis::particle_on = state;
+    /* NanoVis::particle_on = state; */
     return TCL_OK;
 }
@@ -2199,4 +2202,5 @@
 
 // ============================ FLOW END ==================================
+#endif
 
 static int
@@ -2832,10 +2836,13 @@
     Tcl_Interp *interp;
     interp = Tcl_CreateInterp();
+    /*
     Tcl_MakeSafe(interp);
-
+    */
     Tcl_CreateObjCommand(interp, "axis",        AxisCmd,        NULL, NULL);
     Tcl_CreateObjCommand(interp, "camera",      CameraCmd,      NULL, NULL);
     Tcl_CreateObjCommand(interp, "cutplane",    CutplaneCmd,    NULL, NULL);
-    Tcl_CreateObjCommand(interp, "flow",        FlowCmd,        NULL, NULL);
+    if (FlowCmdInitProc(interp) != TCL_OK) {
+	return NULL;
+    }
     Tcl_CreateObjCommand(interp, "grid",        GridCmd,        NULL, NULL);
     Tcl_CreateObjCommand(interp, "heightmap",   HeightMapCmd,   NULL, NULL);
